ANIMATION(1)

NAME
Tk::Animation - Display sequence of Tk::Photo images

SYNOPSIS

  use Tk::Animation
  my $img = $widget->Animation('-format' => 'gif', -file => 'somefile.gif');
  $img->start_animation($period);
  $img->stop_animation;
  $img->add_frames(@images);

DESCRIPTION
In the simple case when Animation is passed a GIF89 style GIF with multiple 'frames', it will build an internal array of Photo images.

start_animation($period) then initiates a repeat with specified $period to sequence through these images.

stop_animation cancels the repeat and resets the image to the first image in the sequence.

The add_frames method adds images to the sequence. It is provided to allow animations to be constructed from separate images. All images must be Photos and should all be the same size.

BUGS
The 'period' should probably be a property of the Animation object rather than specified at 'start' time. It may even be embedded in the GIF.